Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.autotune
Class AutotuneConfigurationMetric

    java.lang.Object
      com.ibm.able.autotune.AutotuneMetric
          com.ibm.able.autotune.AutotuneConfigurationMetric

All Implemented Interfaces:
  java.io.Serializable

public class AutotuneConfigurationMetric
extends AutotuneMetric

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.able.autotune.AutotuneMetric
`myInitialValue, myValue, name, referenceCount, sensor, sensorArgs`

Constructor Summary
`AutotuneConfigurationMetric()`
`AutotuneConfigurationMetric(java.lang.String name)`
`AutotuneConfigurationMetric(java.lang.String name, AbleVariable initialValue)`
`AutotuneConfigurationMetric(java.lang.String name, AbleVariable initialValue, AbleUserDefinedFunction sensor)`

Methods inherited from class com.ibm.able.autotune.AutotuneMetric
`addReference, getBooleanValue, getFuzzyValue, getGenericValue, getInitialValue, getName, getNumericValue, getStringValue, getValue, isActive, refreshValue, removeReference, reset, setBooleanValue, setGenericValue, setNumericValue, setStringValue, setValue, toString, xmlCWrString, xmlDclString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutotuneConfigurationMetric

    public AutotuneConfigurationMetric()

### AutotuneConfigurationMetric

    public AutotuneConfigurationMetric(java.lang.String name)

### AutotuneConfigurationMetric

    public AutotuneConfigurationMetric(java.lang.String name,
                                       AbleVariable initialValue)

### AutotuneConfigurationMetric

    public AutotuneConfigurationMetric(java.lang.String name,
                                       AbleVariable initialValue,
                                       AbleUserDefinedFunction sensor)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005